# KH-16-3次航海船底ADCP(RDI)のテキストデータ

## Version

20161025

## データ処理担当者

纐纈 慎也 (skouketsu@jamstec.go.jp)

## 配布データ

### 配布ファイル

KH1603ADCP.zip

### 解凍後フォルダ構造

* KH1603ADCP/Readme.md
  このファイル(markdown形式に準拠)
* KH1603ADCP/formatted/yyyymmddHHMMSS.txt
  流速プロファイルデータ。yyyyは年、mmは月、ddは日、HHは時、MMは分、SSは秒（UTC）

## プロファイルデータフォーマット

1. 緯度(degree) 経度(degree) 日付(yyymmddHHMMSS)
2. 各カラムが表す変数情報
  定型:" Depth(m)   U(mm/s)   V(mm/s)  EU(mm/s)  EV(mm/s)"
3. d_1　u_1 v_1 eu_1 ev_1
4. d_2　u_2 v_2 eu_2 ev_2

以下、行方向に最深層まで続く。d_nはn層目の深さ、u_n, v_nはn層目東向き、北向き流速、
eu_n, ev_nはu_n, v_nの推定誤差。欠測、推定不能は-9999999である。

## データプロセスについて

### 元データ

* 1ping毎データ(拡張子.ENR)
* 船舶位置データ(拡張子.N1R)
* 船体揺動, 時刻オフセットデータ(拡張子.N2R)

### ADCPの取り付け角補正

船舶位置データから、11秒間位置データの二次関数フィッテイングで推定した船速を揺動データを用いてADCP
のADCPの各ビーム方向の速度に射影したものと1ping毎データのうち海底の相対速度が記録されているデータ
との差が最小になるようにADCPの取り付け角補正(heading=0.0036 rad, roll=0.027 rad, pitch
 =0.020 rad)、大きさ補正(=0.9995)を推定した。
なお、重要なのはheadingと大きさの補正であり、この基本的な推定法はJoyce (1989)を参照にされたい。

### 流速プロファイル推定

流速プロファイルは５分間に発信されたping全てが同じ流速プロファイルを観測しているとして、予め音波ビーム
方向の速度（ADCP観測値）から船速の影響を除いたうえ（上記と同様の射影）で各層データを最小二乗法により
推定した（定式は、Gilcoto et al. 2009が参考になる）。この際、反射強度が７０カウント以下のデータを
除き、ビーム毎の反射強度、相対速度の平均に対し標準偏差の三倍以内のデータのみを用いている。また、こうした
スクリーニングの上で有効な観測が２０以上あった層のみを有効な推定とした。

最後に推定値が2.5m/s以上となったもの（全体で20層程度）も、無効とした。

## 注意点

* 音速補正は行っていない
* 今後データの改訂の可能性がある
